Name:		rubber
Summary:	An automated system for building LaTeX documents
Version:	1.1
Release:	%mkrel 17
Source:		http://ebeffara.free.fr/pub/%name-%version.tar.bz2
URL:		http://www.pps.jussieu.fr/~beffara/soft/rubber/
License:	GPLv2
Group:		Publishing
Requires:	tetex
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	texinfo
BuildArch:	noarch

%description
This is a building system for LaTeX documents. It is based on a routine that
runs just as many compilations as necessary. The module system provides a
great flexibility that virtually allows support for any package with no user
intervention, as well as pre- and post-processing of the document. The
standard modules currently provide support for bibtex, dvips, dvipdfm, pdftex,
makeindex. A good number of standard packages are supported, including
graphics/graphicx (with automatic conversion between various formats and
Metapost compilation).

%prep
%setup -q

%build
%configure2_5x
%make

%install
python setup.py install --root=$RPM_BUILD_ROOT
%find_lang %{name} --with-man --all-name

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%doc COPYING NEWS README
%{_bindir}/*
%{python_sitelib}/rubber
%{python_sitelib}/*.egg-info
%{_datadir}/rubber
%{_mandir}/man1/*
%{_infodir}/*




%changelog
* Thu Feb 04 2016 umeabot <umeabot> 1.1-17.mga6
+ Revision: 935743
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1-16.mga5
+ Revision: 741114
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.1-15.mga5
+ Revision: 730103
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.1-14.mga5
+ Revision: 688734
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.1-12.mga4
+ Revision: 544522
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.1-11.mga4
+ Revision: 499842
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Apr 07 2013 luigiwalser <luigiwalser> 1.1-10.mga3
+ Revision: 408808
- rebuild to really fix mga#9055

* Sun Mar 17 2013 lmenut <lmenut> 1.1-9.mga3
+ Revision: 403612
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Mon Jan 14 2013 umeabot <umeabot> 1.1-8.mga3
+ Revision: 380574
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 1.1-7.mga2
+ Revision: 144355
- update license
- cleanup spec
- imported package rubber


* Mon Nov 01 2010 Funda Wang <fwang@mandriva.org> 1.1-7mdv2011.0
+ Revision: 591342
- rebuild for py 2.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.1-6mdv2010.0
+ Revision: 442768
- rebuild

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.1-5mdv2009.1
+ Revision: 326018
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.1-4mdv2009.0
+ Revision: 242567
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 27 2007 Funda Wang <fwang@mandriva.org> 1.1-2mdv2008.0
+ Revision: 71744
- fix file list on x86_64

  + Lenny Cartier <lenny@mandriva.org>
    - Rebuild for python
    - Import rubber



* Sun Mar 26 2006 Marc Lijour <mlijour@mandriva.com> 1.1-1mdk
- Update to version 1.1
- noarch works now

* Thu Dec 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0-3mdk
- Don't build as noarch, since apparently python doesn't handle that

* Wed Dec 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0-2mdk
- Fix BuildRequires

* Tue Dec 13 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.0-1mdk
- Initial MDV package
